package prueba;

import entradaSalida.SalidaPorDefecto;
import estructurasLineales.ListaDinamica;
import estructurasLineales.ListaDinamicaClave;
import estructurasLineales.ListaEstatica;
import estructurasNoLineales.Matriz2;

public class PruebaListaDinamicaClave {
    public static void main(String[] args) {
        ListaDinamicaClave lista = new ListaDinamicaClave();
        SalidaPorDefecto.consola("-----IMPRIMIR TODA LA LISTA-----\n");
        lista.agregar("1","F");
        lista.agregar("2","D");
        lista.agregar("3","A");
        lista.agregar("4","S");
        lista.agregar("5","G");
        lista.agregar("6","F");
        lista.agregar("1","Z");
        lista.imprimir();
        SalidaPorDefecto.consola("\n");
        SalidaPorDefecto.consola("-----IMPRIMIR EL CONTENIDO DE LALISTA-----\n");
        lista.imprimirContenido();
        SalidaPorDefecto.consola("\n");
        SalidaPorDefecto.consola("-----IMPRIMIR LAS CLAVES DE LA LISTA-----\n");
        lista.imprimirClaves();
        SalidaPorDefecto.consola("\n");
        SalidaPorDefecto.consola("-----CAMBIAR VALORES CON CLAVE-----\n");
        SalidaPorDefecto.consola("-cambiar la clave 4, con el valor X\n");
        lista.cambiar(4,"X");
        lista.imprimir();
        SalidaPorDefecto.consola("\n");
        SalidaPorDefecto.consola("-----CAMBIAR VALORES CON VALOR-----\n");
        SalidaPorDefecto.consola("-cambiar el valor G, con el valor H\n");
        lista.cambiarValor("G","H");
        lista.imprimir();
        SalidaPorDefecto.consola("\n");
        SalidaPorDefecto.consola("-----ELIMINAR CON CONTENIDO-----\n");
        SalidaPorDefecto.consola("Eliminar el valor F: "+lista.eliminarContenido("F")+"\n");
        lista.imprimir();
        SalidaPorDefecto.consola("\n");
        SalidaPorDefecto.consola("-----ELIMINAR CON CLAVE-----\n");
        SalidaPorDefecto.consola("Eliminar la clave 3: "+lista.eliminar("3")+"\n");
        lista.imprimir();
        SalidaPorDefecto.consola("\n");
        SalidaPorDefecto.consola("-----A LISTA ESTATICA-----\n");
        ListaEstatica listaE = lista.aListaEstaticas();
        listaE.imprimir();
        SalidaPorDefecto.consola("\n");
        SalidaPorDefecto.consola("-----A LISTA DINAMICA-----\n");
        ListaDinamica listaD = lista.aListaDinamicas();
        listaD.imprimir();
        SalidaPorDefecto.consola("\n");
        SalidaPorDefecto.consola("-----A MATRIZ 2D-----\n");
        Matriz2 matriz2 = lista.aMatriz2D();
        matriz2.imprimirXRenglones();
        SalidaPorDefecto.consola("\n");
        SalidaPorDefecto.consola("-----OBTENER CON CLAVE-----\n");
        SalidaPorDefecto.consola("Obtener el contenido de la clave 2: "+ lista.obtener("2"));
        SalidaPorDefecto.consola("\n");
        SalidaPorDefecto.consola("-----TAMAÑO DE LA LISTA-----\n");
        SalidaPorDefecto.consola("La lista tiene: " + lista.contarCantidadNodos()+ " valores");
        SalidaPorDefecto.consola("\n");
        SalidaPorDefecto.consola("-----AGREGAR LISTA DINAMICA CLAVE-----\n");
        ListaDinamicaClave lista2 = new ListaDinamicaClave();
        lista2.agregar("22","XX");
        lista2.agregar("33","A");
        lista2.agregar("43","S");
        lista2.agregar("53","G");
        lista2.agregar("67","F");
        lista2.agregar("1","ZZZ");
        SalidaPorDefecto.consola("-Lista 2\n");
        lista2.imprimir();
        SalidaPorDefecto.consola("\n");
        SalidaPorDefecto.consola("-Listas combinadas\n");
        lista.agregarLista(lista2);
        lista.imprimir();
        SalidaPorDefecto.consola("\n");
        SalidaPorDefecto.consola("-----VACIAR-----\n");
        lista.vaciar();
        lista.imprimir();
        SalidaPorDefecto.consola("\n");
        SalidaPorDefecto.consola("-----VACIA-----\n");
        SalidaPorDefecto.consola("La lista esta vacia: " + lista.vacia());
        SalidaPorDefecto.consola("\n");
        SalidaPorDefecto.consola("-----AGREGAR LISTAS ESTATICAS-----\n");
        ListaEstatica listaClaves = new ListaEstatica(4);
        listaClaves.agregar("01");
        listaClaves.agregar("02");
        listaClaves.agregar("03");
        listaClaves.agregar("04");
        ListaEstatica listaValores = new ListaEstatica(4);
        listaValores.agregar("A");
        listaValores.agregar("B");
        listaValores.agregar("C");
        listaValores.agregar("D");
        lista.agregarListasEstaticas(listaClaves,listaValores);
        SalidaPorDefecto.consola("-Lista claves\n");
        listaClaves.imprimir();
        SalidaPorDefecto.consola("-Lista valores\n");
        listaValores.imprimir();
        SalidaPorDefecto.consola("-Lista Dinamica Clave\n");
        lista.imprimir();
        SalidaPorDefecto.consola("\n");
        SalidaPorDefecto.consola("-----AGREGAR LISTAS DINAMICAS-----\n");
        ListaDinamica listaClave = new ListaDinamica();
        listaClave.agregar("11");
        listaClave.agregar("22");
        listaClave.agregar("33");
        listaClave.agregar("44");
        ListaDinamica listaValor = new ListaDinamica();
        listaValor.agregar("A");
        listaValor.agregar("B");
        listaValor.agregar("C");
        listaValor.agregar("D");
        lista.agregarListasDinamicas(listaClave,listaValor);
        SalidaPorDefecto.consola("-Lista claves\n");
        listaClave.imprimir();
        SalidaPorDefecto.consola("\n");
        SalidaPorDefecto.consola("-Lista valores\n");
        listaValor.imprimir();
        SalidaPorDefecto.consola("\n");
        SalidaPorDefecto.consola("-Lista Dinamica Clave\n");
        lista.imprimir();
        SalidaPorDefecto.consola("\n");
        SalidaPorDefecto.consola("-----AGREGAR MATRIZ 2D-----\n");
        lista.agregarMatriz2(matriz2);
        SalidaPorDefecto.consola("-Matriz 2d\n");
        matriz2.imprimirXRenglones();
        SalidaPorDefecto.consola("-Lista Dinamica Clave\n");
        lista.imprimir();
        SalidaPorDefecto.consola("\n");
    }

}
